User List

How to get an overview of all users? The API will reply with data from all users, with limited information in the response including id, email, status, and role. You can also query by status or roles parameters. How to get detailed information from a specific user(s)? Once you have the overview list with id info, use the ids parameter and add specific user id(s) separated by commas. Query the detailed info based on the customized_fields parameter, which can contain multiple fields also separated by commas (without blank). There is a limit of 5000 users (IDs) you can query at a time.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the Splashtop team.

Query Params
string

(Optional) Status of the user you would like to query (String) Available status: enabled, disabled, invited, declined, quit

string

(Optional) Role of the user you would like to query (String) Available roles: owner, manager (means the admins on the team, including owner, super admins, group admins and admins), member, group_admin, remote_user (available only for Splashtop AEM and Splashtop AEM Enterprise)

string

(Optional) The IDs of the Splashtop team users you would like to query. Multiple IDs can be added to a request, separated by commas. E.g., 123,456,789.

string

(Optional) The info of the Splashtop team users you would like to query. Multiple customized_fields can be added at a request, separated by commas (without blank). Only when ids is part of your parameter in the request can you use customized_fields. (String) Available fields: id, email, status, role, xauth_method_id, member_name, group_id, invite_code, super_admin, group_scope, enable_2fa, access_permissions_kind, last_session_at, last_login_at, license_type

Responses

400

Bad request — invalid parameters

401

Unauthorized — invalid or missing access token

403

Forbidden — insufficient scope, or the action/value/target is not allowed. See data.error for the sub-reason.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json